Lintian::Debian::Control(3)

NAME
Lintian::Debian::Control - Lintian interface to d/control fields

SYNOPSIS
    use Lintian::Debian::Control;

DESCRIPTION
Lintian::Debian::Control provides access to fields in d/control.

INSTANCE METHODS

item =item source_fields =item installable_fields_by_name
load
installables
    Returns a list of the binary and udeb packages listed in the debian/control.

installable_package_type (NAME)
    Returns package type based on value of the Package-Type (or if absent, X-Package-Type) field. If the field is omitted, the default value "deb" is used.

    If NAME is not an installable listed in the source packages debian/control file, this method return "undef".

installable_fields (PACKAGE)
    Returns the Deb822::Section object for the installable. Returns an empty object if the installable does not exist.

AUTHOR
Originally written by Russ Allbery <rra@debian.org> for Lintian. Amended by Felix Lechner <felix.lechner@lease-up.com> for Lintian.

SEE ALSO
lintian(1)